#include<iostream>
using namespace std;
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    long long l;
    cin>>n>>l;
    bool moze=true;
    for(int i=0; i<n; i++){
        long long h;
        cin>>h;
        if(h>l) continue;
        else {moze=false; cout<<i+1; break;}
    }
    if(moze)cout<<"-1";
    return 0;
}